summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/maps/anonymous_snat_map_2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/maps/anonymous_snat_map_2')
-rwxr-xr-xtests/shell/testcases/maps/anonymous_snat_map_223
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/shell/testcases/maps/anonymous_snat_map_2 b/tests/shell/testcases/maps/anonymous_snat_map_2
new file mode 100755
index 00000000..90e02038
--- /dev/null
+++ b/tests/shell/testcases/maps/anonymous_snat_map_2
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+#
+# Test some error conditions for using variables to define maps
+#
+
+set -e
+
+for m in "1.1.1.1" "{1.1.1.1}"; do
+
+ RULESET="
+define m = $m"'
+table nat {
+ chain postrouting {
+ snat ip saddr map $m
+ }
+}
+'
+
+ $NFT -f - <<< "$RULESET" || rc=$?
+ test $rc = 1
+
+done